<?php

namespace App\Tasks\MassDelete;

use App\Models\Transaction;
use App\Tasks\MassInsert\MassInsert3Task;
use Carbon\Carbon;
use Illuminate\Support\Collection;
use Illuminate\Support\Facades\DB;

class MassDelete3Task
{

    /**
     * insert unit
     *
     *     100 ............ 0,013 s DONE
     *    1000 ............ 0,092 s DONE
     *   10000 ............ 0,812 s DONE
     *  100000 ............ 8,000 s DONE
     * 1000000 ........... 91,000 s DONE (1m 31s)
     *
     */
    public function handle(int $count): void
    {
        DB::beginTransaction();
        (new MassInsert3Task())->handle($count);
        DB::rollBack();
    }
}
